Skip to content

Search for potential duplicates

Request

This method searches for potential duplicates

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The data you would like to try to check for duplicates

alt_address_postal_codestring(Alt Address Postal Code)

An alternative address postal code of the contact

email_addressstring(Email Address)

The primary email address

email_address2string(Email Address2)

Secondary email address

email_address3string(Email Address3)

Tertiary email address

first_namestring(First Name)

The contact's first name

home_address_postal_codestring(Home Address Postal Code)

The home address postal code of the contact

last_namestring(Last Name)

The contact's last name

minimum_confidencenumber, (float)(Minimum Confidence)

The minimum degree of confidence on a scale of 1 to 100 that you would like considered a potential duplicate

work_address_postal_codestring(Work Address Postal Code)

The work address postal code of the contact

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contactDuplicates/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "alt_address_postal_code": "string",
    "email_address": "string",
    "email_address2": "string",
    "email_address3": "string",
    "first_name": "string",
    "home_address_postal_code": "string",
    "last_name": "string",
    "minimum_confidence": 0.1,
    "work_address_postal_code": "string"
  }'

Responses

Potential duplicates were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
confidencenumber, (float)(Confidence)required

The likelihood that these two contacts are duplicates on a scale of 1 to 100

matchstring(Match)required

The ID of the contact that is a potential duplicate

]
Response
[ { "confidence": 0.1, "match": "string" } ]